Package Details: energia 1.8.7E21-5

Git Clone URL: https://aur.archlinux.org/energia.git (read-only)
Package Base: energia
Description: Energia is a Arduino IDE clone for use with the MSP430 launchpad
Upstream URL: http://energia.nu/
Licenses: GPL
Provides: energia
Submitter: will.price94
Maintainer: mpento
Last Packager: mpento
Votes: 24
Popularity: 0.012215
First Submitted: 2013-01-07 23:18
Last Updated: 2019-02-09 21:46

Pinned Comments

mpento commented on 2018-01-21 14:49

GTKLookAndFeel Issue

In reference to the following error:

java.lang.Error: Cannot load com.sun.java.swing.plaf.gtk.GTKLookAndFeel
    at javax.swing.UIManager.initializeDefaultLAF(UIManager.java:1351)
    at javax.swing.UIManager.initialize(UIManager.java:1459)
    at javax.swing.UIManager.maybeInitialize(UIManager.java:1426)
    at javax.swing.UIManager.getLookAndFeel(UIManager.java:492)
    at processing.app.linux.GTKLookAndFeelFixer.installGtkPopupBugWorkaround(GTKLookAndFeelFixer.java:79)
    at processing.app.linux.Platform.setLookAndFeel(Platform.java:40)
    at processing.app.Base.guardedMain(Base.java:214)
    at processing.app.Base.main(Base.java:136)

After some research, this appears to be a problem in energia itself that was fixed in the arduino ide, which energia is derived from. For reasons unknown to me, that fix has not been propagated. The energia issue for this is still open and not assigned on github (https://github.com/energia/Energia/issues/980).

To work around this problem, as root, edit the 'energia' script located in /opt/energia/, change line 28 from this:

JAVA_OPTIONS=("-DAPP_DIR=$APPDIR" "-Dswing.defaultlaf=com.sun.java.swing.plaf.gtk.GTKLookAndFeel")

To this:

JAVA_OPTIONS=("-DAPP_DIR=$APPDIR")

Once a fix is available, I will incorporate it here.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

kyak commented on 2014-08-04 08:11

Marking out of date since it's been in unbuildable state for more than a week and to attract maintainer's attention.

igor_isaias commented on 2014-07-28 07:57

The source-urls are wrong!

-source+=("$pkgname-$pkgver.tgz::http://energia.nu/downloads/downloadv3.php?file=energia-0101E00$pkver-linux64.tgz")
+source+=("$pkgname-$pkgver.tgz::http://energia.nu/downloads/downloadv3.php?file=energia-0101E$pkgver-linux64.tgz")

-source+=("$pkgname-$pkgver.tgz::http://energia.nu/downloads/downloadv3.php?file=energia-0101E00$pkver-linux.tgz")
+source+=("$pkgname-$pkgver.tgz::http://energia.nu/downloads/downloadv3.php?file=energia-0101E$pkgver-linux.tgz")

kyak commented on 2014-07-27 06:42

curl: (22) The requested URL returned error: 403 Forbidden

will.price94 commented on 2014-07-26 21:50

Hi truh,

I think libusb-compat must have been a dependency I just added when looking at the arduino PKGBUILD, I assumed they'd have the same deps, but it looks like it's avrdude that depends on libusb-compat so I'll remove that.

I'm also going to symblink the docs for you too.

I'll upload this all shortly

truh commented on 2014-07-22 10:36

Would be nice if you would symlink /opt/energia/reference to /usr/share/doc/energia.

truh commented on 2014-07-22 09:30

What is lib32-libusb-compat needed for on 64bit Systems? Seems to work fine without it.

will.price94 commented on 2014-07-18 18:34

Cool,

Thanks for the fix, I'll upload that now.

nickolsen commented on 2014-07-18 17:33

The source-urls are 404. Apparently their download-directory is now called "downloads".

- source+=("$pkgname-$pkgver.tgz::http://energia.nu/download/downloadv3.php?file=energia-0101E0012-linux64.tgz")
+ source+=("$pkgname-$pkgver.tgz::http://energia.nu/downloads/downloadv3.php?file=energia-0101E0012-linux64.tgz")

- source+=('http://energia.nu/download/downloadv3.php?file=energia-0101E0012-linux.tgz')
+ source+=('http://energia.nu/downloads/downloadv3.php?file=energia-0101E0012-linux.tgz')

will.price94 commented on 2014-07-17 13:25

To who ever flagged the package out of date, there is no new version out, if there are any bugs, feel free to flag only if you contact me. I'll fix any bugs reported

will.price94 commented on 2014-05-17 09:29

The stellaris uses a 'Luminary micro' ICD, I've added another rule for this. Let me know if any of the other boards have different debuggers and I'll add the corresponding rules :)